Update the input properties API to current version

Bug #274728 reported by Timo Aaltonen on 2008-09-26
4
Affects Status Importance Assigned to Milestone
gnome-control-center (Ubuntu)
Low
William Grant
gnome-settings-daemon (Ubuntu)
Low
William Grant
libxi (Ubuntu)
Undecided
Timo Aaltonen
x11proto-input (Ubuntu)
High
Timo Aaltonen
xinput (Ubuntu)
Undecided
Timo Aaltonen
xorg-server (Ubuntu)
Undecided
Timo Aaltonen
xserver-xorg-input-evdev (Ubuntu)
Undecided
Timo Aaltonen
xserver-xorg-input-synaptics (Ubuntu)
Undecided
Timo Aaltonen

Bug Description

The input properties API for XI 1.5 has been changed upstream, so we need to do the same. Otherwise apps that need it fail to compile.

Timo Aaltonen (tjaalton) wrote :

note that these need to be fixed in a specific order:

x11proto-input ->
libxi ->
xorg-server

then the rest.

Changed in x11proto-input:
assignee: nobody → tjaalton
William Grant (wgrant) on 2008-09-26
Changed in gnome-control-center:
assignee: nobody → wgrant
status: New → Triaged
Changed in gnome-settings-daemon:
assignee: nobody → wgrant
status: New → Triaged
Timo Aaltonen (tjaalton) on 2008-09-26
Changed in libxi:
assignee: nobody → tjaalton
Changed in xinput:
assignee: nobody → tjaalton
Changed in xorg-server:
assignee: nobody → tjaalton
Changed in xserver-xorg-input-evdev:
assignee: nobody → tjaalton
Changed in xserver-xorg-input-synaptics:
assignee: nobody → tjaalton
Timo Aaltonen (tjaalton) wrote :

inputproto, libxi done and built locally, xorg-server in progress..

Changed in x11proto-input:
importance: Undecided → High
status: New → Fix Committed
Changed in libxi:
status: New → Fix Committed
Changed in xorg-server:
status: New → In Progress
Changed in gnome-control-center:
importance: Undecided → Low
Changed in gnome-settings-daemon:
importance: Undecided → Low
William Grant (wgrant) on 2008-10-10
Changed in gnome-control-center:
status: Triaged → In Progress
Changed in gnome-settings-daemon:
status: Triaged → In Progress
Bryce Harrington (bryce) wrote :

I reviewed the change timo posted at http://users.tkk.fi/~tjaalton/dpkg/xserver-prop.diff

It's quite a bit of code to change this late in the release. The benefit it brings is to synchronize us with the released API. Given that there's only a few packages that are likely to need this interface, the benefit seems not huge. On the other hand, improved input device configuration is a pretty important feature in this release so benefits to those few packages may well be worth while.

Since this is a patch to the xserver, the risks theoretically include potential for server crashes, yet these changes are localized to clients using the input properties functions. I think any crashes that would be introduced would be pretty evident.

So, with the caveat that all this needs to receive special testing attention since we have limited time left before release, I'll give my +1 on uploading this.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libxi - 2:1.1.3-1ubuntu4

---------------
libxi (2:1.1.3-1ubuntu4) intrepid; urgency=low

  * Add Breaks for current gnome-control-center, gnome-settings-daemon
    and xinput because of the changed properties API.

libxi (2:1.1.3-1ubuntu3) intrepid; urgency=low

  * 102_input_properties.patch: Update to reflect the
    changes to the API. Configure/Query property functionality and
    requests have been culled. (LP: #274728)
  * debian/control: Bump the build-dep on x11proto-input-dev.
  * debian/rules : Bump shlibs for libxi6.

 -- Timo Aaltonen <email address hidden> Thu, 09 Oct 2008 14:36:44 +0300

Changed in libxi:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package x11proto-input - 1.4.3-2ubuntu3

---------------
x11proto-input (1.4.3-2ubuntu3) intrepid; urgency=low

  * Update 100-Add-Device-Properties-X-Input-1.5.patch to reflect the
    changes to the API. Configure/Query property functionality and requests
    have been culled. (LP: #274728)
  * Merge patch 101_add_devicecontrolchanged.patch into patch 100.

 -- Timo Aaltonen <email address hidden> Fri, 26 Sep 2008 23:51:21 +0300

Changed in x11proto-input:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.5.1-1ubuntu3

---------------
xorg-server (2:1.5.1-1ubuntu3) intrepid; urgency=low

  * Pull upstream changes from server-1.5-branch including b595b65e:
    - Fix GKVE with key_code > 255 (LP: #274203)
    - DGA: Fix ProcXF86DGASetViewPort for missing support in driver.
      Fixes a segfault when trying to activate a DGA mode without
      checking whether DGA modesetting is at all possible.
    - Check nextEnabledOutput()'s return in bestModeForAspect()
      In case no enabled outputs, we will reference wrong index of
      output array.
    - int10: Fix a nasty memory leak.
    - int10: Don't warn when scanning for devices we don't have.
      Some BIOSes (hi XGI!) will attempt to enumerate the PCI bus by
      asking for the config space of every possible device number.
      This despite perfectly functional BIOS methods to enumerate the
      bus exactly.
    - int10: Remove useless check.
      If you have more than one PCI device with the same d/b/d/f, you're
      already in trouble.
    - http://bugs.freedesktop.org/show_bug.cgi?id=14373
      xkb: squash canonical types into explicit ones on core reconstruction.
      xkb: fix core keyboard map generation.
    - xkb: fix use of uninitialized variable.
    - Remove usage of mfbChangeWindowAttributes missed in e4d11e58c...
    - Only build dri2 when DRI2 is enabled.
  * Merge patches 138 and 139 into 137, and update the properties API to
    match the current version in master (final API for XI 1.5).
    (LP: #274728)
  * Bump the build-dep on x11proto-input-dev and libxi-dev.
  * Bump the serverminver because of newer properties API.
  * Add Breaks against current synaptics and evdev, since they use the old
    API and need to be updated with the server.

 -- Timo Aaltonen <email address hidden> Fri, 10 Oct 2008 11:16:56 +0300

Changed in xorg-server:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-settings-daemon - 2.24.0-0ubuntu2

---------------
gnome-settings-daemon (2.24.0-0ubuntu2) intrepid; urgency=low

  [ William Grant ]
  * debian/patches/08_extra_touchpad_options.patch:
    - Update for the new property API. (LP: #274728)
      + No longer use XQueryDeviceProperty to check if a property exists - the
        function has been removed.
      + Remove the 'pending' argument from calls to XGetDeviceProperty.
    - Don't trust that a device that looks like a touchpad has all properties
      that a real touchpad does, as properties can be added by a user, and
      things segfault.
    - Label set failure warnings with the device name to make things a bit
      less scary.
    - Fix a couple of compiler warnings.

 -- Timo Aaltonen <email address hidden> Fri, 10 Oct 2008 12:40:40 +0300

Changed in gnome-settings-daemon:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:2.24.0.1-0ubuntu4

---------------
gnome-control-center (1:2.24.0.1-0ubuntu4) intrepid; urgency=low

  * debian/patches/28_fixup_touchpad_config.patch: Update to new property API.
    (LP: #274728)
    - Don't use XQueryDeviceProperty to determine if a property exists - it is
      no longer.

 -- William Grant <email address hidden> Fri, 10 Oct 2008 19:26:20 +1100

Changed in gnome-control-center:
status: In Progress → Fix Released
Timo Aaltonen (tjaalton) on 2008-10-13
Changed in xserver-xorg-input-synaptics:
status: New → Fix Released
Changed in xserver-xorg-input-evdev:
status: New → Fix Released
Changed in xinput:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.